> ## Documentation Index
> Fetch the complete documentation index at: https://uiform-codex-generated-frontend-snippets.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Secret Value

Get the decrypted value for one environment-scoped secret.

```python Python theme={null}
secret = client.secrets.list_secret_value("RESEND_API_KEY")
```

```typescript TypeScript theme={null}
const secret = await client.secrets.list_secret_value("RESEND_API_KEY");
```

```go Go theme={null}
secret, err := client.Secrets.GetValue(ctx, "RESEND_API_KEY")
```

```java Java theme={null}
// Get a secret value with the Retab Java client.
```

```bash cURL theme={null}
curl https://api.retab.com/v1/secrets/RESEND_API_KEY/value \
  -H "Authorization: Bearer $RETAB_API_KEY"
```


## OpenAPI

````yaml GET /v1/secrets/{name}/value
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.retab.com
security: []
paths:
  /v1/secrets/{name}/value:
    get:
      tags:
        - Secrets
      summary: Secret.Get Value
      operationId: get_secret_value
      parameters:
        - in: path
          name: name
          required: true
          schema:
            type: string
            pattern: ^[A-Za-z_][A-Za-z0-9_]*$
            title: Name
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecretValueResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    SecretValueResponse:
      properties:
        secret:
          $ref: '#/components/schemas/SecretValue'
      type: object
      required:
        - secret
      title: SecretValueResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
          default: []
      type: object
      title: HTTPValidationError
    SecretValue:
      properties:
        name:
          type: string
          pattern: ^[A-Za-z_][A-Za-z0-9_]*$
          title: Name
        value:
          type: string
          title: Value
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: When the secret value was last updated.
      type: object
      required:
        - name
        - updated_at
        - value
      title: SecretValue
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
          default: null
        ctx:
          type: object
          title: Context
          default: {}
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````